#![feature(alloc_system)]
extern crate alloc_system;

extern crate gdk;
extern crate glib;
extern crate glib_sys;
extern crate gobject_sys;
extern crate gtk;
extern crate gtk_sys;
extern crate libpijul;
extern crate base64;

extern crate flexi_logger;
#[macro_use]
extern crate log;

#[macro_use]
extern crate error_chain;

mod ui;
mod errors;

use ui::entry::*;
use std::rc::Rc;


fn main() {
    gtk::init().unwrap();

    flexi_logger::LogOptions::new()
       .log_to_file(false)
       .init(Some("pnmixer=debug".to_string()))
       .unwrap_or_else(|e| panic!("Logger initialization failed with {}", e));

    let apps = Rc::new(AppS::new());
    ui::entry::init(apps);

    gtk::main();
}
